## microsoft-authentication-extensions-for-python 1.3.1

=== requirements.txt ===
## Github actions/setup-python might need a requirements.txt to cache dependencies
# https://github.com/actions/setup-python?tab=readme-ov-file#caching-packages-dependencies
pygobject; sys_platform == 'linux'
pylint
tox
pytest
-e .

## microsoft-authentication-extensions-for-python 0.1.3

=== debian/changelog ===
microsoft-authentication-extensions-for-python (0.1.3-2) unstable; urgency=medium

  * Source-only no changes upload.

 -- Luca Boccassi <bluca@debian.org>  Thu, 27 Feb 2020 11:24:13 +0000

microsoft-authentication-extensions-for-python (0.1.3-1) unstable; urgency=medium

  * Initial release. (Closes: #951710)

 -- Luca Boccassi <bluca@debian.org>  Thu, 20 Feb 2020 13:22:54 +0000

=== debian/control ===
Source: microsoft-authentication-extensions-for-python
Maintainer: Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               python3-msal,
               python3-portalocker,
               python3-pytest <!nocheck>,
               python3-setuptools,
Standards-Version: 4.5.0
Section: python
Priority: optional
Rules-Requires-Root: no
Homepage: https://github.com/AzureAD/microsoft-authentication-extensions-for-python
Vcs-Browser: https://salsa.debian.org/debian/microsoft-authentication-extensions-for-python
Vcs-Git: https://salsa.debian.org/debian/microsoft-authentication-extensions-for-python.git

Package: python3-msal-extensions
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Microsoft Authentication extensions for MSAL for Python
 The Microsoft Authentication Library (MSAL) for Python enables applications to
 integrate with the Microsoft identity platform.
 The Microsoft Authentication extensions for MSAL for Python provides
 cross-platform utilities for interacting with MSAL, including a shared cache
 for token that is safe to use concurrently among multiple processes. It is
 intended to be used with python3-msal.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_AFTER_CLEAN=rm -rf msal_extensions.egg-info

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/microsoft-authentication-extensions-for-python-?(\d\S+)\.tar\.gz/microsoft-authentication-extensions-for-python_$1\.orig\.tar\.gz/ \
  https://github.com/AzureAD/microsoft-authentication-extensions-for-python/tags .*/(\d\S+)\.tar\.gz

## microsoft-authentication-extensions-for-python 0.2.1

=== debian/changelog ===
microsoft-authentication-extensions-for-python (0.2.1-1) unstable; urgency=medium

  * Merge tag '0.2.1' into newver
  * Fix watch file for gbp-import --uscan
  * Add new dependency on python3-gi
  * Do not run test_libsecret_persistence at build time, requires secret
    keyring and dbus
  * Backport patch to keep compatibility with portalocker < 1.4.0

 -- Luca Boccassi <bluca@debian.org>  Thu, 23 Apr 2020 20:01:28 +0100

microsoft-authentication-extensions-for-python (0.1.3-3) unstable; urgency=medium

  * Add autopkgtest support
  * Move package under Python Modules Team maintenance

 -- Luca Boccassi <bluca@debian.org>  Sat, 07 Mar 2020 10:50:41 +0000

## microsoft-authentication-extensions-for-python 0.2.2

=== debian/changelog ===
microsoft-authentication-extensions-for-python (0.2.2-1) unstable; urgency=medium

  * Merge tag '0.2.2' into debian/sid
  * Drop 0001-Restore-compatibility-with-portalocker-1.4.0.patch, merged
    upstream

 -- Luca Boccassi <bluca@debian.org>  Fri, 01 May 2020 10:47:17 +0100

=== debian/control ===
Source: microsoft-authentication-extensions-for-python
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-gi,
               python3-msal,
               python3-portalocker,
               python3-pytest <!nocheck>,
               python3-setuptools,
Standards-Version: 4.5.0
Section: python
Priority: optional
Rules-Requires-Root: no
Homepage: https://github.com/AzureAD/microsoft-authentication-extensions-for-python
Vcs-Browser: https://salsa.debian.org/python-team/modules/microsoft-authentication-extensions-for-python
Vcs-Git: https://salsa.debian.org/python-team/modules/microsoft-authentication-extensions-for-python.git
Testsuite: autopkgtest-pkg-python, autopkgtest

Package: python3-msal-extensions
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-gi, python3-portalocker,
Description: Microsoft Authentication extensions for MSAL for Python
 The Microsoft Authentication Library (MSAL) for Python enables applications to
 integrate with the Microsoft identity platform.
 The Microsoft Authentication extensions for MSAL for Python provides
 cross-platform utilities for interacting with MSAL, including a shared cache
 for token that is safe to use concurrently among multiple processes. It is
 intended to be used with python3-msal.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_AFTER_CLEAN=rm -rf msal_extensions.egg-info
export PYBUILD_TEST_ARGS=-v --deselect=.pybuild/cpython3_{version}/build/tests/test_persistence.py::test_libsecret_persistence

%:
	dh $@ --with python3 --buildsystem=pybuild

## microsoft-authentication-extensions-for-python 0.3.0

=== debian/changelog ===
microsoft-authentication-extensions-for-python (0.3.0-1) unstable; urgency=medium

  * Merge tag '0.3.0' into debian/sid
  * Skip test_nonexistent_libsecret_persistence
  * Remove unnecessary autopkgtest Testsuite tag

 -- Luca Boccassi <bluca@debian.org>  Wed, 02 Sep 2020 15:19:31 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Homepage: https://github.com/AzureAD/microsoft-authentication-extensions-for-python
 Vcs-Browser: https://salsa.debian.org/python-team/modules/microsoft-authentication-extensions-for-python
 Vcs-Git: https://salsa.debian.org/python-team/modules/microsoft-authentication-extensions-for-python.git
-Testsuite: autopkgtest-pkg-python, autopkgtest
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-msal-extensions
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_AFTER_CLEAN=rm -rf msal_extensions.egg-info
export PYBUILD_TEST_ARGS=-v --deselect=.pybuild/cpython3_{version}/build/tests/test_persistence.py::test_libsecret_persistence \
	--deselect=.pybuild/cpython3_{version}/build/tests/test_persistence.py::test_nonexistent_libsecret_persistence

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: python3-tests
Depends: @builddeps@, python3-msal-extensions,

## microsoft-authentication-extensions-for-python 0.3.1

=== debian/changelog ===
microsoft-authentication-extensions-for-python (0.3.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Luca Boccassi ]
  * Merge tag '0.3.1' into debian/sid
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.6.0, no changes
  * Switch to dh-sequence-python3
  * Use d/clean instead of PYBUILD_AFTER_CLEAN
  * autopkgtest: depend on python3-all:any
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Fri, 17 Dec 2021 10:49:55 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=-v --deselect=.pybuild/cpython3_{version}/build/tests/test_persistence.py::test_libsecret_persistence \
	--deselect=.pybuild/cpython3_{version}/build/tests/test_persistence.py::test_nonexistent_libsecret_persistence

%:
	dh $@ --buildsystem=pybuild

## microsoft-authentication-extensions-for-python 1.0.0

=== debian/changelog ===
microsoft-authentication-extensions-for-python (1.0.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 02:58:20 +0100

microsoft-authentication-extensions-for-python (1.0.0-1) unstable; urgency=medium

  * Merge tag '1.0.0' into debian/sid
  * Bump copyright year ranges in d/copyright
  * Skip test that requires gnome-keyring
  * Ignore very-long-line-length-in-source-file warning

 -- Luca Boccassi <bluca@debian.org>  Tue, 15 Feb 2022 12:02:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: microsoft-authentication-extensions-for-python
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-gi,
                python3-msal,
                python3-portalocker,
                python3-pytest <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Section: python
 Priority: optional
 Rules-Requires-Root: no
 Homepage: https://github.com/AzureAD/microsoft-authentication-extensions-for-python
-Vcs-Browser: https://salsa.debian.org/python-team/modules/microsoft-authentication-extensions-for-python
-Vcs-Git: https://salsa.debian.org/python-team/modules/microsoft-authentication-extensions-for-python.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/microsoft-authentication-extensions-for-python
+Vcs-Git: https://salsa.debian.org/python-team/packages/microsoft-authentication-extensions-for-python.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-msal-extensions

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=-v --deselect=.pybuild/cpython3_{version}/build/tests/test_persistence.py::test_libsecret_persistence \
	--deselect=.pybuild/cpython3_{version}/build/tests/test_agnostic_backend.py::test_current_platform_cache_roundtrip_with_persistence_builder \
	--deselect=.pybuild/cpython3_{version}/build/tests/test_persistence.py::test_nonexistent_libsecret_persistence

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: python3-tests
Depends: @builddeps@, python3-msal-extensions, python3-all:any,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/microsoft-authentication-extensions-for-python_$1\.orig\.tar\.gz/ \
  https://github.com/AzureAD/microsoft-authentication-extensions-for-python/tags .*/(\d\S+)\.tar\.gz

## microsoft-authentication-extensions-for-python 1.1.0

=== debian/changelog ===
microsoft-authentication-extensions-for-python (1.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/1.1.0' (Closes: #1056425)
  * Bump Standards-Version to 4.6.2, no changes
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Mon, 11 Dec 2023 10:46:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-portalocker,
                python3-pytest <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: python
 Priority: optional
 Rules-Requires-Root: no

## microsoft-authentication-extensions-for-python 1.2.0

=== debian/changelog ===
microsoft-authentication-extensions-for-python (1.2.0-1) unstable; urgency=medium

  * d/watch: use uversionmangle to sort x.ybz as x.y~bz for beta releases
  * Update upstream source from tag 'upstream/1.2.0' (Closes: #1078115)
  * d/control: bump Standards-Version to 4.7.0, no changes
  * Bump dependency on python3-msal
  * Add dependencies on gir1.2-secret-1 and python3-gi-cairo
  * Skip unit test that requires running GUI

 -- Luca Boccassi <bluca@debian.org>  Wed, 07 Aug 2024 13:05:43 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
+               gir1.2-secret-1 <!nocheck>,
                python3-all,
                python3-gi,
-               python3-msal,
+               python3-gi-cairo,
+               python3-msal (>= 1.29.0~),
                python3-portalocker,
                python3-pytest <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: python
 Priority: optional
 Rules-Requires-Root: no
@@ -21,7 +23,8 @@
 
 Package: python3-msal-extensions
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-gi, python3-portalocker,
+Depends: ${misc:Depends}, ${python3:Depends}, gir1.2-secret-1,
+         python3-gi, python3-gi-cairo, python3-portalocker,
 Description: Microsoft Authentication extensions for MSAL for Python
  The Microsoft Authentication Library (MSAL) for Python enables applications to
  integrate with the Microsoft identity platform.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export PYBUILD_TEST_ARGS=-v --deselect=.pybuild/cpython3_{version}/build/tests/test_persistence.py::test_libsecret_persistence \
 	--deselect=.pybuild/cpython3_{version}/build/tests/test_agnostic_backend.py::test_current_platform_cache_roundtrip_with_persistence_builder \
+	--deselect=.pybuild/cpython3_{version}/build/tests/test_agnostic_backend.py::test_token_cache_roundtrip_with_persistence_builder \
 	--deselect=.pybuild/cpython3_{version}/build/tests/test_persistence.py::test_nonexistent_libsecret_persistence
 
 %:

## microsoft-authentication-extensions-for-python 1.3.1

=== debian/changelog ===
microsoft-authentication-extensions-for-python (1.3.1-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/1.3.1'
  * d/control: bump Standards-Version to 4.7.2, no changes
  * Skip new failing test due to network access

 -- Luca Boccassi <bluca@debian.org>  Sat, 15 Mar 2025 11:37:53 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-portalocker,
                python3-pytest <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: python
 Priority: optional
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export PYBUILD_TEST_ARGS=-v --deselect=.pybuild/cpython3_{version}/build/tests/test_persistence.py::test_libsecret_persistence \
 	--deselect=.pybuild/cpython3_{version}/build/tests/test_agnostic_backend.py::test_current_platform_cache_roundtrip_with_persistence_builder \
+	--deselect=.pybuild/cpython3_{version}/build/tests/test_agnostic_backend.py::test_token_cache_roundtrip_with_file_persistence \
 	--deselect=.pybuild/cpython3_{version}/build/tests/test_agnostic_backend.py::test_token_cache_roundtrip_with_persistence_builder \
 	--deselect=.pybuild/cpython3_{version}/build/tests/test_persistence.py::test_nonexistent_libsecret_persistence

=== debian/watch ===
version=4
opts=uversionmangle=s/b(\d+)$/~b\1/,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/microsoft-authentication-extensions-for-python_$1\.orig\.tar\.gz/ \
  https://github.com/AzureAD/microsoft-authentication-extensions-for-python/tags .*/(\d\S+)\.tar\.gz
